Package org.eclipse.jdt.core

# Interface IBuffer.ITextEditCapability

Enclosing interface:
  IBuffer

public static interface IBuffer.ITextEditCapability
Implementors of `IBuffer` can additionally implement `IBuffer.ITextEditCapability`. This adds the capability to apply text edits to the buffer and will be used by `ICompilationUnit.applyTextEdit(TextEdit, IProgressMonitor)`.

This interface may be implemented by clients.

Since:
  3.4

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.text.edits.UndoEdit`
`applyTextEdit(org.eclipse.text.edits.TextEdit edit, org.eclipse.core.runtime.IProgressMonitor monitor)`
Applies a text edit to this underlying buffer.

## Method Details

### applyTextEdit

org.eclipse.text.edits.UndoEdit applyTextEdit(org.eclipse.text.edits.TextEdit edit, org.eclipse.core.runtime.IProgressMonitor monitor) throws JavaModelException
Applies a text edit to this underlying buffer.

Parameters:
  `edit` - the edit to apply
  `monitor` - the progress monitor to use or `null` if no progress should be reported
Returns:
  the undo edit
Throws:
  `JavaModelException` - if this edit can not be applied to the buffer. Reasons include:
  - The provided edit can not be applied as there is a problem with the text edit locations (`IJavaModelStatusConstants.BAD_TEXT_EDIT_LOCATION`)}.